<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <link rel="stylesheet" href="./assets/style.css" />
    <title>BomberMan</title>
  </head>
  <body>

    <!-- level editor menu -->
   <div id="levelEditorMenu" class="menu hidden">
      <div class="leftPart">
        <div class="TitelImage"></div>

        <!-- Map container -->
        <div id="editorMapContainer"></div>
        <!-- Ensure unique ID for map container -->

        <!-- Icons container -->
        <div class="icons-container">
          <!-- Wall icon -->
          <div class="icon-container">
            <img src="assets/w.jpg" id="wallIcon" class="icon" width="50"
              height="50">
            <span>Wall</span>
          </div>

          <!-- Box icon -->
          <div class="icon-container">
            <img src="assets/b.png" id="boxIcon" class="icon" width="50"
              height="50">
            <span>Box</span>
          </div>

          <!-- Player icon -->
          <div class="icon-container">
            <img src="assets/player1.png" id="playerIcon" class="icon"
              width="50" height="50">
            <span>Player</span>
          </div>

          <!-- Monster icon (optional) -->
          <div class="icon-container">
            <img src="assets/m.png" id="monsterIcon" class="icon" width="50"
              height="50">
            <span>Monster</span>
          </div>
        </div>

        <!-- Save and export buttons -->
        <div class="buttons-container">
          <button id="saveLevel" style="width: 100px;">Save Level</button>
          </div>
         <div class="buttons-container">
          <button id="loadLevel" style="width: 100px;">Load Level</button>
          <li>
            Load a map
            <input type="file" id="mapFileEditor" accept=".json" />
          </li>
          </div>
         <div class="buttons-container">
          <li><a href="#" data-target="firstMenu"
              data-origin="levelEditorMenu">RETURN</a></li> </div>
      </div>
    </div>

    <!-- add menus below! -->
    <div id="firstMenu" class="menu active">
      <div class="leftPart">
        <div class="TitelImage"></div>

        <div class="vmenu">
          <ul>
            <li><a href="#" data-target="secondMenu"
                data-origin="firstMenu">1.START THE GAME</a></li>
            <li><a href="#" data-target="levelEditorMenu"
                data-origin="firstMenu">2.CREATE A NEW MAP</a></li>
            <li><a href="#" data-target="secondMenu"
                data-origin="firstMenu">3.SETTINGS</a></li>
            <li><a id="quitLink">4.QUIT</a></li>
          </ul>
        </div>
      </div>
    </div>

    <div id="secondMenu" class="menu hidden">
      <div class="leftPart">
        <div class="TitelImage"></div>

        <div class="vmenu">
          <ul>
            <li><a href="#" data-target="thirdMenu" data-origin="secondMenu">ONE
                PLAYER GAME</a></li>
            <li><a href="#" data-target="thirdMenu" data-origin="secondMenu">TWO
                PLAYER GAME</a></li>
            <li><a href="#" data-target="firstMenu"
                data-origin="secondMenu">RETURN</a></li>
          </ul>
        </div>
      </div>
    </div>

    <div id="thirdMenu" class="menu hidden">
      <div class="leftPart">
        <div class="TitelImage"></div>

        <div class="vmenu">
          <ul>
            <li><a href="#" data-target="gameMap" data-origin="thirdMenu"
                data-index="0">MAP 1</a></li>
            <li><a href="#" data-target="gameMap" data-origin="thirdMenu"
                data-index="1">MAP 2</a></li>
            <li><a href="#" data-target="gameMap" data-origin="thirdMenu"
                data-index="2">MAP 3</a></li>
            <!-- Integrate file picker directly into the "Load a map" option -->
            <li>
              <input type="file" id="mapFileInput" accept=".json" />
              <a href="#" data-target="gameMap" data-origin="thirdMenu"
                data-index="3">Load a map</a>
            </li>

            <li><a href="#" data-target="secondMenu"
                data-origin="thirdMenu">RETURN</a></li>
          </ul>
        </div>
      </div>
    </div>

        <!-- game map below! -->
        <div id="gameMap" class="hidden">
          <div class="container">
            <div id="left">
              <table id="map"></table>
            </div>
          </div>
        </div>

    <!-- add pop ups below! -->

    <!-- quitGamePopup -->
    <div class="hidden" id="quitGamePopup">
      <div class="popup">
        <p>What would you like to do?</p>
        <div class="button-container">
          <button id="resumeGame">Resume the game</button>
          <button id="newGame">New Game</button>
          <button id="exitGame">Exit</button>
        </div>
      </div>
    </div>

    <!-- exitGamePopup -->
    <div id="exitGamePopup" class="hidden">
      <div class="popup">
        <p>Are you sure you want to exit?</p>
        <div class="button-container">
          <button id="exitYes">Yes</button>
          <button id="exitNo">No</button>
        </div>
      </div>
    </div>

    <!-- endGameStatusPopup -->
    <div class="hidden" id="endGameStatusPopup">
      <div class="popup">
        <p id="winLoseMessage">You are the Winner</p>
        <div class="button-container">
          <button id="newGame">NewGame</button>
          <button id="exitGame">Exit</button>
        </div>
      </div>
    </div>

    <!-- rankingPopup -->
    <div class="hidden">
      <div class="popup" id="rankingPopup">
        <p>Game Rankings</p>
        <ol>
          <li>Score: 1000 - Name: Player1</li>
          <!-- Repeat for each ranking -->
        </ol>
        <div class="button-container">
          <button id="continueGame">Continue</button>
          <button id="exitGameRanking">Exit</button>
        </div>
      </div>
    </div>

    <!-- scripts below! -->

    <script type="module" src="script.js"></script>
  </body>
</html>
